Description

Hi,

I tried to install a new instance of Redmine 1.3.0 on ubuntu 10.04 Server.

When I execute the command

RAILS_ENV=development rake db:migrate

 I've the following error :

redmine@cgperlnx02:/var/www/redmine$ RAILS_ENV=development rake db:migrate --trace

(in /var/www/redmine)

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

undefined method `requirement' for #<Rails::GemDependency:0x7f4bd2e90a00>

/var/www/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:81:in `add_load_paths

'

/var/www/redmine/config/../vendor/rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'

/var/www/redmine/config/../vendor/rails/railties/lib/initializer.rb:301:in `each'

/var/www/redmine/config/../vendor/rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'

/var/www/redmine/config/../vendor/rails/railties/lib/initializer.rb:132:in `process'

/var/www/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'

/var/www/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'

/var/www/redmine/config/environment.rb:24

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/var/www/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:182:in `require'

/var/www/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:547:in `new_constan

ts_in'

/var/www/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:182:in `require'

/var/www/redmine/vendor/rails/railties/lib/tasks/misc.rake:4

/usr/lib/ruby/1.8/rake.rb:636:in `call'

/usr/lib/ruby/1.8/rake.rb:636:in `execute'

/usr/lib/ruby/1.8/rake.rb:631:in `each'

/usr/lib/ruby/1.8/rake.rb:631:in `execute'

/usr/lib/ruby/1.8/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:607:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:604:in `each'

/usr/lib/ruby/1.8/rake.rb:604:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:596:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:583:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2029:in `each'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2001:in `run'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1998:in `run'

/usr/bin/rake:28

 Gem lists installed

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

rack (1.1.1)

rails (2.3.14)

rake (0.8.7)

rdoc (2.4.2)

History

#1 - 2011-12-13 14:58 - Etienne Massip

What's your RubyGems version?

#2 - 2011-12-13 15:02 - Emmanuel BOUGEROLLE

rubygems1.8

#3 - 2011-12-13 15:12 - Emmanuel BOUGEROLLE

Sorry...

$ gem -v : 1.3.5

rubygems1.8 is the ubuntu package.

#4 - 2011-12-13 15:57 - Emmanuel BOUGEROLLE

- Status changed from New to Resolved

I've update rubygems to 1.3.7 as needed and all works fine.

Sorry.

#5 - 2011-12-13 16:00 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Np. Thank you for the feedback.

#6 - 2011-12-14 13:46 - Steffen Triple X

I've got the same problem, but don't know, how to update from gem 1.3.5 to 1.3.7 on ubuntu. How does it works?

#7 - 2011-12-14 13:55 - Etienne Massip

See RE: Upgrading from 1.2.2 to 1.3.0.
